%define module Gtk2

Summary: Perl module for the gtk+-2.x library
Name:    perl-%module
Version: 0.95
Release: 6mdk
License: GPL or Artistic
Group:   Development/GNOME and GTK+
Source:  %module-%version.tar.bz2
Patch7:  Gtk2-gtk_exit.patch.bz2
Patch9:  Gtk2-set_uposition.patch.bz2
Patch21: Gtk2-xset_input_focus.patch.bz2
Patch23: Gtk2-0.95-exception-trapping.patch.bz2 
Patch24: Gtk2-widget-bidi.patch.bz2
URL: http://gtk2-perl.sf.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gtk+2-devel perl-devel perl-ExtUtils-Depends perl-Glib >= 0.92
Requires: gtk+2 libgtk+2, perl-Glib >= 0.95-2mdk
# Compatibility with mdk9.1:
Conflicts: drakconf <= 9.2-0.3mdk, drakxtools-newt <= 9.2-0.9mdk, rpmdrake <= 2.1-24mdk, userdrake <= 0.92-4mdk
Conflicts: drakfirsttime <= 0.91-14mdk
Provides: perl-GTK2 = %version
Obsoletes: perl-GTK2 < 0.1

%description
This module provides perl access to the gtk+-2.x library.

Gtk+ is the GIMP ToolKit (GTK+), a library for creating graphical user
interfaces for the X Window System.  GTK+ was originally written for the GIMP
(GNU Image Manipulation Program) image processing program, but is now used by
several other programs as well.


%prep
%setup -q -n %module-%version
%patch7 -p0
%patch9 -p0
%patch21 -p0 -b .tv
%patch23 -p0 -b .xinput
%patch24 -p0
find -type d -name CVS | rm -rf 
perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="$RPM_OPT_FLAGS -Os -s"
#%make test || :

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-, root, root)
%doc AUTHORS LICENSE gtk-demo examples
%{_mandir}/*/*
%{perl_vendorarch}/%module
%{perl_vendorarch}/%module.pm
%{perl_vendorarch}/auto/*


%changelog
* Thu Aug 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-6mdk
- patch 21: fix XSetInputFocus()

* Thu Aug 28 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-5mdk
- patch 25: add bidi support


* Wed Aug 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-4mdk
- fix patch 21
- rename patch 22 as 23

* Wed Aug 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-3mdk
- really apply patch21

* Sun Aug 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-2mdk
- patch 22:  properly handle perl exceptions

* Fri Aug 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.95-1mdk
- new release
- remove patch 22 (merged upstream)

* Tue Aug 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-2mdk
- patch21: add support for XSetInputFocus()
- patch22: add support for gtk_container_set_focus_vadjustment()
()

* Mon Aug 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.94-1mdk
- new release
- remove patches 14-20 (merged upstream)

* Wed Aug  6 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.90-6mdk
- patch 20: add gtk_widget_size_request (commited in upstream CVS as
  well)

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-5mdk
- patch 19: fix utf8 managment in FileSelection widget

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-4mdk
- patch 18: fix segfault when using FileSelection

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-3mdk
- patch 15: update doc & Glib require
- patch 16: more TreeModel fixes
- patch 17: warn on wrong hash members while creating items

* Thu Jul 24 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-3mdk
- bump requires to enforce that gchar_own typemap is available

* Tue Jul 22 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-2mdk
- patch 14 : let gtk_tree_model_iter_nth_child() accept null parents

* Fri Jul 18 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.90-1mdk
- new release
- remove patches 5 and 6 (merged upstream)

* Thu Jul 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs_20030717-1mdk
- new cvs snapshot
- remove patches 12 and 13 (merged upstream)

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-5mdk
- more TreeModel fixes

* Wed Jul 16 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-4mdk
- patch 12: enable rpmdrake to run

* Tue Jul 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-3mdk
- patch 13: provides a default so that we do not have to pass undef in perl

* Tue Jul 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-2mdk
- patch 13: follow c api and allow to not pass label to Gtk2::Notebook->append_page,
  thus fixing rfbdrake

* Tue Jul 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.15.1-1mdk
- new cvs snapshot

* Mon Jul 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.10.1-3mdk
- patch 12 : fix iterating on children for drakfloppy, drakx and rpmdrake

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.10.1-2mdk
- provides some doc and some examples


* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.10.1-1mdk
- new cvs snapshot
- remove patches 3, 10 and 11 (merged upstream)

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.09.1-3mdk
- conflicts with rpmdrake too

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.09.1-2mdk
- patch 10: support ->process_updates for logdrake
- patch 11: let grab_pointer get undefined cursors

* Wed Jul 09 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.09.1-1mdk
- new cvs snapshot
- switch to gtk2-perl-xs: obsolete old inline branch, conflicts with unconverted packages
- remove patches 1 and 8 (merged upstream)
- patch 9: support Gtk2::Window->set_uposition for drakx installer
- move Makefile generation where autoconf is called to speed up -bc --short-circuit

* Tue Jul 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.07.1-3mdk
- patch 3 : support both c/old gtk2-perl api and scalar context perlish api in
  Gtk2::TreeSelection->get_selected
  [now gtk2-perl-xs is compatible with c/gtk+2 and inline gtk2-perl]

* Tue Jul 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.07.1-2mdk
- drop no more needed patch 4
- patch 8 : support gdk_window_freeze_updates() and gdk_window_thaw_updates()

* Mon Jul 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.26.cvs.2003.07.07.1-1mdk
- Gtk2-0.26
- remove patches 0 and 2 (merged upstream)
- patch 4 : fix gdk_get_default_root_window() api
- patch 5 : implement missing gdk_rgb_find_color()
- patch 6 : gdk-x11 stuff
- patch 7 : support gtk_exit()

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-2mdk
- fix description
- fix update || compatibility
- patch 0:  give access to x11 root window (through Gtk2::Gdk::get_default_root_window())
- patch 1:  implement Gtk2::set_locale()
- patch 2:  give access to PANGO_PIXELS conversion macro
- patch 3:  fix broken api of Gtk2::TreeSelection->get_selected()

* Fri Jul 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.07.04.1-1mdk
- switch from the inline branch to the xs one

* Mon May 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.04.07.1-2mdk
- rebuild for new perl provides/requires

* Mon Apr 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.04.07.1-1mdk
- add infrastructure in order to fix #3633

* Thu Mar 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.03.04.1-2mdk
- move ugtk2 in drakxtools

* Tue Mar 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.03.04.1-1mdk
- more Gtk2::TreeView support in order to fix #1776

* Thu Feb 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.22.1-2mdk
- add stuff for harddrake2

* Sat Feb 22 2003 Pixel <pixel@mandrakesoft.com> 0.0.cvs.2003.02.22.1-1mdk
- snapshot (add Gtk2::SpinButton->new_with_range)

* Fri Feb 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-5mdk
- snapshot (should fix some embedded segfaults)

* Fri Feb 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-4mdk
- snapshot for the fix of #1445

* Thu Feb 20 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.12.1-3mdk
- fix #1651 (gc)

* Wed Feb 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.12.1-2mdk
- ugtk2 fixes for i18n

* Wed Feb 12 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.12.1-1mdk
- update (getting rid of TODO: XSetInputFocus if force_focus and TODO:
  ensure focus stuff)

* Tue Feb 11 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.11.1-1mdk
- scrollbars and scrolled windows fixes (by gc, rive gauche: une autre idee du luxe)

* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.02.10.1-1mdk
- cvs snapshot
- ugtk2: add support for new mcc

* Fri Feb  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.07.2-1mdk
- snapshot (fixes problem with GalaxyStyle)

* Fri Feb  7 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.07.1-1mdk
- snapshot

* Mon Feb  3 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.02.03.1-2mdk
- snapshot (fixes the bug crashing mousedrake inside MCC)

* Wed Jan 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.27.1-2mdk
- update ugtk2 for current drakxtools & mcc

* Mon Jan 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.27.1-1mdk
- snapshot of gtk-perl
- do no sent USR2 to mcc for embedded logdrake (special case)
- mcc support for better aligned text on icons

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.21.1-2mdk
- gcsux
- snapshot ugtk2.pm

* Tue Jan 21 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.21.1-1mdk
- snapshot

* Fri Jan 10 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.10.1-1mdk
- snapshot

* Wed Jan  8 2003 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2003.01.08.1-1mdk
- snapshot
- include files in a sub -devel package

* Tue Jan 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2003.01.07.1-1mdk
- perl-GTK2: latest gc work
- latest ugtk2 from drakxtools

* Mon Dec 24 2002 Stefan van der Eijk <stefan@eijk.nu> 0.0.cvs.2002.12.18.1-2mdk
- BuildRequires

* Wed Dec 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.18.1-1mdk
- cvs snapshot
- add include files for gnome2 support
- make the build fast and with temporary space 100mb less
- fix buildrequires (pixel)
- ugtk2 :
  o fix wizard
  o fixes for mcc

* Fri Dec 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.13.1-1mdk
- cvs snapshot

* Wed Dec 11 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.0.cvs.2002.12.11.1-1mdk
- cvs snapshot for mcc

* Mon Dec  9 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.12.09.1-1mdk
- cvs snapshot

* Tue Dec  3 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.12.03.1-1mdk
- cvs snapshot

* Tue Nov 26 2002 Guillaume Cottenceau <gc@mandrakesoft.com> 0.0.cvs.2002.11.26.1-1mdk
- first mdk package (USE WITH CARE, THIS IS PRE-ALPHA QUALITY SOFTWARE)
